# Zenius-I-Vanisher Downloader

The best source for Stepmania charts is [Zenius-I-Vanisher](https://zenius-i-vanisher.com). Unfortunately, there's no easy way to incrementally update collections.

## Usage

To run this script you'll need Python 3.6 or later, and you'll need to install [Beautiful Soup](https://www.crummy.com/software/BeautifulSoup/) with e.g. `pip install beautifulsoup4`. Put it into your Stepmania folder and run it with e.g.

    python3 zenius.py

By default it will download the [latest 20 official SIMfiles](https://zenius-i-vanisher.com/v5.2/simfiles.php?category=latest20official) but you can give it one or more alternate URLs to pull from, for example:

    python3 zenius.py https://zenius-i-vanisher.com/v5.2/simfiles.php?category=top_official https://zenius-i-vanisher.com/v5.2/viewsimfilecategory.php?categoryid=41

## Notes

ZIV is an amazing resource. Don't abuse this tool, and consider donating to them to keep it running!
